<?php

namespace Controller;


use Util\Math;

class IndexController implements ControllerInterface
{
    public function indexAction()
    {
        echo <<<HTML
    <h1>Demo-Project</h1>
    <ul>
        <li><a href="/index/index">Home</a></li>
        <li><a href="/index/foo">Index/Foo</a></li>
    </ul>
HTML;
    }

    public function fooAction()
    {
        $now = new \DateTime();
        $minutes = (int)$now->format('i');
        $seconds = (int)$now->format('s');
        $sum = Math::sum($minutes, $seconds);
        echo <<<HTML
    <h2>Foo - Calc-Demo</h2>
    <code>$minutes + $seconds = $sum;</code>
HTML;
    }
}
